Handler Class Referenceabstract

`#include <linklocalhandler.h>`

## Public Member Functions

virtual void | handleBrowseReply (const ServiceList &services)=0

## Detailed Description

A base class that gets informed about advertised or removed XMPP services on the local network.

See Manager for more information on how to implement link-local messaging.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  1.0.x

Definition at line 41 of file linklocalhandler.h.

## Member Function Documentation

## handleBrowseReply()

virtual void handleBrowseReply | ( | const ServiceList & | services | ) |

pure virtual

Reimplement this function to be notified about services available on (or removed from) the local network.

Parameters

  services | A list of services.

Note
  Make a copy of the service list as the list will not be valid after the function returned.

The documentation for this class was generated from the following file:

- linklocalhandler.h